Skip to content

Partially Reverse Payment

PUT
/v1/pay/transactionid/{transactionId}/partial-reverse

Partially reverse an instant payment using VALR Pay by specifying the payment transaction id. An anonymous payment will be made back to the original sender's VALR Pay ID with the exact amount and identical currency.

Only a recipient of a payment can perform the partial reversal. Successful requests return 202 - Accepted with an identifier and transactionId in the body.

The amountToReverse must be greater than zero and can have up to 8 decimal places.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

transactionId*

The transaction id of the payment that is to be partially reversed

Type
string
Required

Request Body

application/json
JSON
{
"amountToReverse": "1.00"
}

Responses

Partial reversal accepted

Playground

Authorization
Variables
Key
Value
Body

Samples